> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analyticsperformancecost analysis



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /analytics/performance/cost-analysis
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /analytics/performance/cost-analysis:
    get:
      tags:
        - PerformanceAnalytics
      operationId: analytics.performance.cost-analysis
      parameters:
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: start_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: end_date
          in: query
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      total_cost:
                        type: string
                      total_calls:
                        type: string
                      avg_cost_per_call:
                        type: string
                      date_range:
                        type: array
                        prefixItems:
                          - type: string
                          - type: string
                        minItems: 2
                        maxItems: 2
                        additionalItems: false
                    required:
                      - total_cost
                      - total_calls
                      - avg_cost_per_call
                      - date_range
                  daily_costs:
                    type: string
                required:
                  - summary
                  - daily_costs
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````